summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-progress-fd-error
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-10-15 18:07:44 +0200
committerMichael Vogt <mvo@debian.org>2013-10-15 18:07:44 +0200
commit42c1513b712818823e0a136c949f0d93c46907d7 (patch)
tree88f0cdc94834fc51859de922fe6544678cf6ac13 /test/integration/test-apt-progress-fd-error
parent6b164ba3fa36e0df2bc146b399af9853a8b05f2a (diff)
tests, do not send pkgname with arch via the status-fd
Diffstat (limited to 'test/integration/test-apt-progress-fd-error')
-rwxr-xr-xtest/integration/test-apt-progress-fd-error22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/integration/test-apt-progress-fd-error b/test/integration/test-apt-progress-fd-error
new file mode 100755
index 000000000..0cd59410e
--- /dev/null
+++ b/test/integration/test-apt-progress-fd-error
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+mkdir -p usr/bin
+touch usr/bin/file-conflict
+
+buildsimplenativepackage 'foo1' 'amd64,i386' '0.8.15' 'stable' '' 'pkg with file conflicts' '' '' 'usr/'
+buildsimplenativepackage 'foo2' 'amd64,i386' '0.8.15' 'stable' '' 'pkg with file conflicts' '' '' 'usr/'
+
+setupaptarchive
+
+exec 3> apt-progress.log
+testfailure aptget install foo1 foo2 -y -o APT::Status-Fd=3
+msgtest "Ensure correct error message"
+grep -q "aptarchive/pool/foo2_0.8.15_amd64.deb :40:trying to overwrite '/usr/bin/file-conflict', which is also in package foo1 0.8.15" apt-progress.log && msgpass || msgfail
+